### Method

# Gtk PrintOperation set_has_selection

#### Declaration [src]

    void
    gtk_print_operation_set_has_selection (
      GtkPrintOperation* op,
      gboolean has_selection
    )

#### Description [src]

Sets whether there is a selection to print.

Application has to set number of pages to which the selection will draw by gtk_print_operation_set_n_pages() in a handler for the `GtkPrintOperation::begin-print` signal.

Sets property | `Gtk.PrintOperation:has-selection`

#### Parameters

`has_selection` | `gboolean`
| `TRUE` indicates that a selection exists.